Subject: Re: bug#38918: 26.3; EBDB fails to edit (add) tags

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 14 Jan 2020 14:46:47 -0800

Jorge P. de Morais Neto <[email-masked]> writes:

> Em [2020-01-12 dom 09:10:50-0800], Eric Abrahamsen escreveu:
>
>> Would you eval this and see if it solves your Org tags issue?
>> [...]
>
> This does make Org Tags work with EBDB 0.6.11, but not on EBDB 0.6.12.
> On EBDB 6.12, with a minimally customized GNU Emacs instance the
> following occurs:
>
> 1. I open the minimally customized GNU Emacs instance.
> 2. I eval (require 'ebdb-org)
> 3. I eval the code snippet you provided
> 4. At some moment I set org-tag-alist (note: I actually I don't remember
>    if I set it after steps 2-3 or before)
> 5. Invoke M-x ebdb <RET><RET>
> 6. I Try to add Org Tags to a record.  My Org tags are offered for
>    completion, but when I choose one, then EBDB seems to ignore my
>    answer; it then asks for a "regular" tag without offering the Org
>    tags for completion.

Bah, sorry! I forgot that this was a two-part fix, and I only gave you
one of the parts. The other part is in:

https://git.sr.ht/~girzel/EBDB/commit/046750093275092db4c2407b22482d6d0d702453

But don't worry about it, I'm 99.9% sure that this problem is taken care
of. Sorry to make you test in vain.

> Besides, it seems that the function `org--tag-add-to-alist' does not
> exist on the Org Mode version (9.1 IIRC) that comes with Emacs 26.3.  I
> think you should document that the Org Tags functionality depends on
> recent Org Mode.  Also, maybe (I don't know if this would be worth your
> time) EBDB could provide a clear error message when the user attempts to
> use that functionality on an old Org Mode.  Currently it lets Emacs
> complain that the symbol's value as a function is void.

This is a bigger problem -- I'm committed to supporting Emacs 25. I
think I'll just write my own function (read: copy and paste Org's) to do
the same thing.

Thanks,
Eric